Module java.base
Package java.nio.channels

# Class ShutdownChannelGroupException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.IllegalStateException
java.nio.channels.ShutdownChannelGroupException

All Implemented Interfaces:
  `Serializable`

    public class ShutdownChannelGroupException
    extends IllegalStateException

Unchecked exception thrown when an attempt is made to construct a channel in a group that is shutdown or the completion handler for an I/O operation cannot be invoked because the channel group has terminated.

Since:
  1.7
See Also:
  Serialized Form

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`ShutdownChannelGroupException()` | Constructs an instance of this class.

## Method Summary

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ShutdownChannelGroupException

public ShutdownChannelGroupException()
Constructs an instance of this class.